Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verification Status

The Status Check API is a service provided by VIDA that allows partners to check the status of a specific identity verification request. This can be done by using the unique transaction ID (eventId) that is returned when the identity verification API is invoked. The API returns a set of responses, which include the status of the verification process (e.g. In Progress, completed, failed), and status codes, along with the failure reasons if the verification request is failed. This API can be used to track the progress of the verification process and ensure that it is completed in a timely manner.

API Description

GET https://services-sandbox.vida.id/main/v3/services/kyc/{eventId}/status

Path Parameters

Name
Type
Description

eventId*

String

Transaction ID that is produced on transaction request.

Headers

Name
Type
Description

Authorization*

String

OAuth access token.

Get the token by calling the

Get Access Token API

Content-Type

application/json

Format type of request body

API Responses

Identity Verification Status

The API returns the status of the identity verification event and certificate will be issued.

HTTP Status Code: 200

JSON Response
{
    "data": {
        "certificateIssued": 200
    }
}

Identity Verification Status - In Progress

The API returns the following response when the verification is still in progress and manual verification for face match and name check is enabled.

HTTP Status Code: 440

JSON Response

Long API Request Time

Request is taking longer than expected time.

HTTP Status Code: 440

JSON Response

Error Occurred

An error occurred, please try after some time.

HTTP Status Code: 444

JSON Response

Identity Verification Failed

The API returns the following response when the Verification has failed.

HTTP Status Code: 444

JSON Response

Certificate Issuance Failed

The API returns the following response when certificate issuance has failed

HTTP Status Code: 443

JSON Response

Last updated